members.dev
Custom fields

List Custom Field Definitions

Lists Custom Field Definitions

GET
/v1/custom-field-definitions

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Query Parameters

entity_type*string

Resource type to list definitions for.

Value in"member" | "subscription" | "product" | "group"

Response Body

application/json

application/json

curl -X GET "https://api.members.dev/portal/v1/custom-field-definitions?entity_type=member"
[
  {
    "id": "string",
    "short_id": "string",
    "entity_type": "member",
    "key": "string",
    "label": "string",
    "description": "string",
    "field_type": "text",
    "is_required": true,
    "is_member_editable": true,
    "is_member_visible": true,
    "options": [
      null
    ],
    "is_active": true,
    "created_at": null,
    "updated_at": null
  }
]
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}